<table *ngIf="tallies" mat-table [dataSource]="displayedProducts" class="timeslotTable">
  <ng-container [matColumnDef]="'Image'">
    <th class="timeslotTableImageColumn" mat-header-cell *matHeaderCellDef></th>
    <td class="timeslotTableImageColumn" mat-cell *matCellDef="let element"><app-product-image [product]="element"></app-product-image></td>
  </ng-container>
  <ng-container [matColumnDef]="column" *ngFor="let column of timeslotColumns">
    <th class="timeslotTableColumn" mat-header-cell *matHeaderCellDef> {{getTimeslotById(+column)?.label}} </th>
    <td class="timeslotTableColumn" mat-cell *matCellDef="let element"> {{getCellContent(element, +column)}} </td>
  </ng-container>
  <ng-container [matColumnDef]="'Sum'">
    <th class="timeslotTableSumColumn" mat-header-cell *matHeaderCellDef>Sum</th>
    <td class="timeslotTableSumColumn" mat-cell *matCellDef="let element">{{getNumberOfTalliesByProduct(element)}}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

